Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.commons.core.v2
Class Author

    java.lang.Object
      be.fgov.ehealth.commons.core.v2.Author

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:13:44+01:00",
               comments="JAXB RI v2.3.6")
    public class Author

extends Object
implements Serializable

Identifies the authorType of the message

Java class for AuthorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AuthorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:commons:core:v2}HcParty" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Author()`

Method Summary
`List<ActorType>` | `getHcParties()` Gets the value of the hcParties property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Author

    public Author()

Method Detail

### getHcParties

    public List<ActorType> getHcParties()

  Gets the value of the hcParties property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hcParties property.

  For example, to add a new item, do as follows:

          getHcParties().add(newItem);

  Objects of the following type(s) are allowed in the list `ActorType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.